# name, ver, rel are passed in from Makefile so we only have to set them one place
%define name lsb-test-qt4-azov
%define ver 4.1.0
%define rel 1

Summary:	LSB Azov-Qt4 Test Suite
Vendor:		ISPRAS
Name:		%{name}
Version:	%{ver}
Release:	%{rel}
Source:		%{name}-%{version}.src.tgz
License:	GPL
URL: 		http://www.linux-foundation.org/en/Downloads
Group:		Development/Tests
Buildroot:	%{_builddir}/%{name}-root
AutoReqProv:	no
Requires: 	lsb-tet3-lite >= 3.7, lsb, lsb-xvfb
BuildRequires: 	lsb-tet3-lite-devel, lsb-build-qt4

%description
LSB Azov-Qt4 Test Suite check run-time presence of interfaces
and absence of critical errors in simple use cases.

%prep
if [ ! -x /opt/lsb/bin/lsbc++ ] ; then
    printf "lsbc++ not found, required for compilation, aborting\n"
    exit 1
fi

%setup -q

%build
# build T2C framework components first
chmod -R +rx .
CUR_DIR=`pwd`
export T2C_ROOT="${CUR_DIR}/t2c_framework" 
t2c_framework/t2c/build.sh > build.log
cd LSB_Toolkit_Qt-t2c 
./build_all.sh 

%install

#install the test suites
T2C_ROOT=${RPM_BUILD_ROOT}/opt/lsb/test/qt4-azov
rm -rf ${T2C_ROOT}
rm -rf ${RPM_BUILD_ROOT}/opt/lsb/doc/%{name}
mkdir -p ${T2C_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/opt/lsb/doc/%{name}

cd LSB_Toolkit_Qt-t2c
for TEST_SUITE in "*-t2c"
do 
    cp -r ${TEST_SUITE} ${T2C_ROOT}
    rm -rf ${T2C_ROOT}/${TEST_SUITE}/src ${T2C_ROOT}/${TEST_SUITE}/gen_tests ${T2C_ROOT}/${TEST_SUITE}/clean ${T2C_ROOT}/${TEST_SUITE}/*.cfg
    rm -rf ${T2C_ROOT}/${TEST_SUITE}/testdata/testdata_src
    rm -rf ${T2C_ROOT}/${TEST_SUITE}/tests/Makefile ${T2C_ROOT}/${TEST_SUITE}/tests/*.mk
    rm -rf ${T2C_ROOT}/${TEST_SUITE}/tests/*/Makefile
    rm -rf ${T2C_ROOT}/${TEST_SUITE}/tests/*/QMakefile
    rm -rf ${T2C_ROOT}/${TEST_SUITE}/tests/*/*.c
    rm -rf ${T2C_ROOT}/${TEST_SUITE}/tests/*/*.cpp
    rm -rf ${T2C_ROOT}/${TEST_SUITE}/tests/*/*.o
    rm -rf ${T2C_ROOT}/${TEST_SUITE}/tests/*/*.pro
    rm -rf ${T2C_ROOT}/${TEST_SUITE}/include
    rm -rf ${T2C_ROOT}/${TEST_SUITE}/doc
    rm -fr ${T2C_ROOT}/supp_headers
    rm -rf ${T2C_ROOT}/${TEST_SUITE}/Makefile.tmk
    rm -rf ${T2C_ROOT}/chgProj.sh
    rm -rf ${T2C_ROOT}/chgProj_d.sh
    rm -rf ${T2C_ROOT}/chgMake.sh
done
cd ..

install -d ${RPM_BUILD_ROOT}/opt/lsb/doc/%{name}
cp LSB_Toolkit_Qt-t2c/README  ${RPM_BUILD_ROOT}/opt/lsb/doc/%{name}
cp LSB_Toolkit_Qt-t2c/LICENSE ${RPM_BUILD_ROOT}/opt/lsb/doc/%{name}
cp LSB_Toolkit_Qt-t2c/run_tests.sh LSB_Toolkit_Qt-t2c/tet_code LSB_Toolkit_Qt-t2c/tet_scen LSB_Toolkit_Qt-t2c/tetexec.cfg ${T2C_ROOT}

%files
%defattr(777,root,root)
/opt/lsb/test/qt4-azov
%dir /opt/lsb/doc/%{name}
/opt/lsb/doc/%{name}/*

%pre
PATH=/usr/sbin:$PATH

%post
echo "LSB Azov-Qt4 Test Suite has been installed to"
echo "/opt/lsb/test/qt4-azov."

%preun
rm -rf /opt/lsb/test/qt4-azov/results
rm -rf /opt/lsb/test/qt4-azov/tet_tmp_dir

%clean
if [ ! -z "${RPM_BUILD_ROOT}"  -a "${RPM_BUILD_ROOT}" != "/" ]; then
    rm -rf ${RPM_BUILD_ROOT}
fi
